## visad.cluster
Class RemoteClusterDataImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.RemoteThingImpl
                      visad.RemoteDataImpl
                          visad.cluster.RemoteClusterDataImpl

All Implemented Interfaces:
  Data, Remote, RemoteClusterData, RemoteData, RemoteThing, Serializable, Thing

Direct Known Subclasses:
  RemoteClientDataImpl, RemoteNodeDataImpl

public abstract class RemoteClusterDataImpl
extends RemoteDataImpl
implements RemoteClusterData

RemoteClusterDataImpl is the super class for cluster client and node Data.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.RemoteDataImpl
``

Fields inherited from class visad.RemoteThingImpl
``

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`RemoteClusterDataImpl()`

Method Summary
`void` `addReference(ThingReference r)` add a ThingReference to this Thing object
`boolean` `clusterDataEquals(RemoteClusterData cd)`
`RemoteClusterData` `getClusterData(RealTuple domain)` return RemoteClusterData for JVM where data resides; may be RemoteClusterData for client for non-partitioned data; may be null for partitioned data outside partitoning
`Set` `getPartitionSet()`
`(package private) RemoteClusterData[]` `getTable()`
`DataImpl` `local()`
`static void` `main(String[] args)`
`void` `notifyReferences()`
`void` `removeReference(ThingReference r)` remove a ThingReference from this Thing object
`void` `setParent(RemoteClusterDataImpl p)`
`void` `setupClusterData(Set ps, RemoteClusterData[] table)`

Methods inherited from class visad.RemoteDataImpl

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from class visad.RemoteThingImpl
`getTick, incTick`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.RemoteThing
`getTick, incTick`

Constructor Detail

### RemoteClusterDataImpl

    public RemoteClusterDataImpl()
                          throws RemoteException

Method Detail

### getTable

    RemoteClusterData[] getTable()

### getClusterData

    public RemoteClusterData getClusterData(RealTuple domain)
                                     throws RemoteException,
                                            VisADException

  return RemoteClusterData for JVM where data resides; may be RemoteClusterData for client for non-partitioned data; may be null for partitioned data outside partitoning

  Specified by:
    `getClusterData` in interface `RemoteClusterData`
  Throws:
    `RemoteException`
    `VisADException`

### setupClusterData

    public void setupClusterData(Set ps,
                                 RemoteClusterData[] table)
                          throws RemoteException,
                                 VisADException

  Specified by:
    `setupClusterData` in interface `RemoteClusterData`
  Throws:
    `RemoteException`
    `VisADException`

### getPartitionSet

    public Set getPartitionSet()

### clusterDataEquals

    public boolean clusterDataEquals(RemoteClusterData cd)
                              throws RemoteException

  Specified by:
    `clusterDataEquals` in interface `RemoteClusterData`
  Throws:
    `RemoteException`

### setParent

    public void setParent(RemoteClusterDataImpl p)

### notifyReferences

    public void notifyReferences()
                          throws VisADException,
                                 RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### addReference

    public void addReference(ThingReference r)
                      throws VisADException

  Description copied from interface: `Thing`
  add a ThingReference to this Thing object

  Specified by:
    `addReference` in interface `Thing`
  Overrides:
    `addReference` in class `RemoteThingImpl`
  Throws:
    `VisADException`

### removeReference

    public void removeReference(ThingReference r)
                         throws VisADException

  Description copied from interface: `Thing`
  remove a ThingReference from this Thing object

  Specified by:
    `removeReference` in interface `Thing`
  Overrides:
    `removeReference` in class `RemoteThingImpl`
  Throws:
    `VisADException`

### local

    public DataImpl local()
                   throws VisADException,
                          RemoteException

  Specified by:
    `local` in interface `Data`
  Overrides:
    `local` in class `RemoteDataImpl`
  Returns:
    a local copy (AdaptedData, which is Serializable)
  Throws:
    `VisADException`
    `RemoteException`

### main

    public static void main(String[] args)
                     throws RemoteException,
                            VisADException

  Throws:
    `RemoteException`
    `VisADException`